Name:		ifstatus
Version:	1.1.0
Release:	23.1
License:	GPL-2.0
Url:		http://ifstatus.sourceforge.net/
Group:		System/Monitoring
Summary:	Interface Status Monitor
Source0:	http://ifstatus.sourceforge.net/download/%{name}-v%{version}.tar.gz
Source1:	ifstatus-rpmlintrc
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libncurses6 ncurses-devel gcc-c++ make patch

%description
IFStatus was developed for Linux users that are usually in console mode.
It is a simple, easy to use program for displaying commonly needed / wanted
statistics in real time about ingoing and outgoing traffic of multiple
network interfaces that is usually hard to find, with a simple and effecient view.


%prep
%setup -n %{name}
%patch0
%patch1

%build
export SUSE_ASNEEDED=0
%if 0%{?suse_version} >= 1220
export RPM_CFLAGS="-fPIC"
export RPM_LDFLAGS="-L/%{_lib} -L%{_libdir} -ltinfo"
%else
export RPM_LDFLAGS="-L/%{_lib} -L%{_libdir}"
%endif
%__make

%install
%__install -d %{buildroot}%{_bindir}
%__make DESTDIR=%{buildroot} install
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/if_status

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%attr(4755,root,root) %{_bindir}/if_status

%changelog
* Sun Feb 17 2013 cs@linux-administrator.com
- update license, build flags
